Subject: Re: [PATCH v2 2/6] dt-bindings: arm: fsl: Add Engicam i.Core MX8M Mini C.TOUCH 2.0

From: Krzysztof Kozlowski <[email-masked]>
Date: Mon, 21 Dec 2020 15:05:01 +0100

On Mon, Dec 21, 2020 at 07:29:22PM +0530, Jagan Teki wrote:
> On Mon, Dec 21, 2020 at 7:16 PM Krzysztof Kozlowski <[email-masked]> wrote:
> >
> > On Mon, Dec 21, 2020 at 05:01:47PM +0530, Jagan Teki wrote:
> > > i.Core MX8M Mini is an EDIMM SoM based on NXP i.MX8M Mini from Engicam.
> > >
> > > C.TOUCH 2.0 is a general purpose carrier board with capacitive
> > > touch interface support.
> > >
> > > i.Core MX8M Mini needs to mount on top of this Carrier board for
> > > creating complete i.Core MX8M Mini C.TOUCH 2.0 board.
> > >
> > > Add bindings for it.
> > >
> > > Signed-off-by: Jagan Teki <[email-masked]>
> > > ---
> > > Changes for v2:
> > > - updated commit message
> > >
> > >  Documentation/devicetree/bindings/arm/fsl.yaml | 2 ++
> > >  1 file changed, 2 insertions(+)
> > >
> > > diff --git a/Documentation/devicetree/bindings/arm/fsl.yaml b/Documentation/devicetree/bindings/arm/fsl.yaml
> > > index 67980dcef66d..e653e0a43016 100644
> > > --- a/Documentation/devicetree/bindings/arm/fsl.yaml
> > > +++ b/Documentation/devicetree/bindings/arm/fsl.yaml
> > > @@ -667,6 +667,8 @@ properties:
> > >          items:
> > >            - enum:
> > >                - beacon,imx8mm-beacon-kit  # i.MX8MM Beacon Development Kit
> > > +              - engicam,icore-mx8mm               # i.MX8MM Engicam i.Core MX8M Mini SOM
> > > +              - engicam,icore-mx8mm-ctouch2       # i.MX8MM Engicam i.Core MX8M Mini C.TOUCH 2.0
> >
> > Please test your DTS against new schema with dtbs_check. This won't
> > match.
> 
> Sorry, not sure I understand clearly here.
> 
> This the dts file ie used matched compatible.
> compatible = "engicam,icore-mx8mm-ctouch2", "engicam,icore-mx8mm",
>                      "fsl,imx8mm";
> 
> I did build the dtbs_check without showing any issues like,
> 
> $ make ARCH=arm64 dtbs_check
> ...
> 
>     From schema: /w/dt-schema/dt-schema/dtschema/schemas/property-units.yaml
>   DTC     arch/arm64/boot/dts/freescale/imx8mm-icore-mx8mm-ctouch2.dtb
>   DTC     arch/arm64/boot/dts/freescale/imx8mm-icore-mx8mm-ctouch2-of10.dtb
>   DTC     arch/arm64/boot/dts/freescale/imx8mm-icore-mx8mm-edimm2.2.dtb
> ..
> 
> Can you let me know what I missed here?

You pasted here output of validating with property-units.yaml (or
something else), not the schema which you changed. If you want to limit
the tests, use DT_SCHEMA_FILES.

I mentioned about exactly the same problem in yout previous v1
at patch #5. No changes here stil.

Best regards,
Krzysztof

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel